import { RequestLogger } from "../logging";
export declare class ProvisionRequest {
    private req;
    private id;
    log: RequestLogger;
    constructor(req: {
        body: Record<string, string>;
        params: Record<string, string>;
    }, fnName: string);
    get body(): Record<string, string>;
    get params(): Record<string, string>;
    static createFake(fnName: string, log: RequestLogger, body?: Record<string, string>): ProvisionRequest;
}
